package com.fxy.bean;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * 扫描对象
 *
 * @author James.Jiang
 *
 */
public class ScanDataBean implements Parcelable {
    /**
     * 单号
     */
    public String orderNo;

    /**
     * 扫描时间
     */
    public String scanTime;

    /**
     * 扫描添加序号
     */
    public Integer index;

    @Override
    public String toString() {
        return "ScanDataBean{" +
                "orderNo=" + orderNo +
                ", scanTime=" + scanTime +
                ", index=" + index +
                '}';
    }


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.orderNo);
        dest.writeString(this.scanTime);
        dest.writeInt(this.index);
    }

    public ScanDataBean() {
    }

    protected ScanDataBean(Parcel in) {
        this.orderNo = in.readString();
        this.scanTime = in.readString();
        this.index = in.readInt();
    }

    public static final Creator<ScanDataBean> CREATOR = new Creator<ScanDataBean>() {
        @Override
        public ScanDataBean createFromParcel(Parcel source) {
            return new ScanDataBean(source);
        }

        @Override
        public ScanDataBean[] newArray(int size) {
            return new ScanDataBean[size];
        }
    };

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getScanTime() {
        return scanTime;
    }

    public void setScanTime(String scanTime) {
        this.scanTime = scanTime;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }
}
